Bug 535285 - (RHQ-1998) pretty error pages for JSF based exceptions
pretty error pages for JSF based exceptions
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Pavel Kralik
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 02:10 EDT by Joseph Marques
Modified: 2013-04-30 19:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2009-04-22 02:10:00 EDT
from RHQ-1962:

"let's write exception / error handling navigation at the web layer which redirects you to a pretty page that shows "You do not have access to that resource". others error pages that would be good to write are "This resource does not exist in inventory" and "This group does not exist in inventory".

today, instead of a pretty error message you get a special JSF page that shows you the stack trace, allows you to view in-memory context variables, etc. this is what we want to replace with these pretty error pages."
Comment 1 Joseph Marques 2009-04-22 02:13:17 EDT
rev3823 - plain and simple page that displays JSF-originated error messages in a clean way
Comment 2 Joseph Marques 2009-04-22 02:17:35 EDT
to test, go to pages like:

/rhq/resource/inventory/view.xhtml?id=10
/rhq/group/operation/groupOperationHistoryDetails.xhtml?groupId=10

and they should show simple error messages like:

ResourceNotFoundException: A resource with id=10 does not exist
IllegalStateException: Required request parameter 'opId' is missing
Comment 3 Pavel Kralik 2009-04-24 04:34:47 EDT
Verified with links specified above. Looks good. rev3849
Comment 4 Red Hat Bugzilla 2009-11-10 15:55:44 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1998

Note You need to log in before you can comment on or make changes to this bug.